version: "3"

services:
  db:
    image: mongo
    restart: unless-stopped
    environment:
      MONGO_INITDB_ROOT_USERNAME: twitext
      MONGO_INITDB_ROOT_PASSWORD: c1944924a438f0c52273210bf2771a45
    ports:
    - "27017:27017"
  web:
    build:
      context: .
      dockerfile: Dockerfile.dev
    restart: unless-stopped
    volumes:
      - .:/var/www/twitch-backend
    ports:
      - "443:9600"
      - "80:9600"
    depends_on:
      - db
